How to install an older version of OpenCV?

If none of the more specific forums is the right place to ask

How to install an older version of OpenCV?

Postby kerryhall » 2020-09-16 05:08

I recently upgraded from Debian 8 to Debian 10, and to my disappointment discovered that a program I compiled in Debian 8 no longer works.

It's complaining about libopencv_objdetect.so.2.4 being missing.

How would I go about installing an older version of opencv? I tried recompiling for the new version of opencv currently in the repos but I get a bunch of errors, so it seems like the code only works for opencv 2.
kerryhall
 
Posts: 195
Joined: 2008-08-19 11:06

Re: How to install an older version of OpenCV?

Postby Head_on_a_Stick » 2020-09-16 13:13

kerryhall wrote:I tried recompiling for the new version of opencv currently in the repos but I get a bunch of errors

Please post your method and the full, exact error message(s) along with a link to the program source. Recompiling it against the newer OpenCV version is the best approach because the older version has a stack of open CVEs (vulnerabilities).
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12488
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: How to install an older version of OpenCV?

Postby kerryhall » 2020-09-16 21:46

Sadly the source doesn't seem to be be available on github anymore, but the repo was here:

https://github.com/timgerst/pix.git

I use to be able to compile this on Debian 8 with a simple "make".

I am hesitant to upload the source due to possible licensing issues. How should I proceed? Should I upload the source? Or should I try and install the older OpenCV libs?

Thank you for the help!
kerryhall
 
Posts: 195
Joined: 2008-08-19 11:06

Re: How to install an older version of OpenCV?

Postby andre@home » 2020-09-17 15:08

kerryhall wrote:It's complaining about libopencv_objdetect.so.2.4 being missing.
Is it similar to this?
https://stackoverflow.com/questions/123 ... d-object-f
https://github.com/cggos/dip_cvqt/issues/1
andre@home
 
Posts: 389
Joined: 2011-10-02 08:00

Re: How to install an older version of OpenCV?

Postby Head_on_a_Stick » 2020-09-18 15:38

kerryhall wrote:How should I proceed?

Please post the full, exact error message(s). Thanks.
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12488
Joined: 2014-06-01 17:46
Location: /dev/chair


Return to General Questions

Who is online

Users browsing this forum: No registered users and 7 guests

fashionable